<!DOCTYPE html>
<html>
<head>
	<title></title>
</head>
<body>
	<h1> Hello Array</h1>
	<script>
		let words = ['one','two','three','four']; //object
		let addWord = () => {
			var word = document.getElementById('newWord').value;
			document.getElementById('newWord').value = '';

			words.push(word);
			updateGUI();
		}
		let removeWord = () => {
			//how js works
			let temp = [];
			var word = document.getElementById('newWord').value;
			if(word === ""){
				words.pop();
			} else{
				/*for (var i=0 ; i <= 10; i++ ) {
					console.log(i);
				}*/
				/*
				for (var i=0 ; i < words.length; i++ ) {
					console.log(words[i]);
					if(words[i] !== word){
						// add to temp
						temp.push(words[i]);
					}
				}*/
				words = words.filter(function(item){return (item != word)});
				//words = words.filter((item) => (item != word));

				//words = temp;
			 console.log("Assignment remove :"+word);
			}
			
			updateGUI();
			//words.shift();
			//words.unshift();
		}
		let updateGUI = () =>{
			document.getElementById('result').innerHTML = words;
		}

	</script>
	<input id="newWord" placeholder="Add words" type="" name="" value=""> <br/> <br/>

	<input onclick="addWord()" type="button" name="" value="Add"> | 
	<input onclick="removeWord()" type="button" name="" value="Remove"> | 

	 <br/> <br/>
	
	<label id="result"></label>
	<script type="text/javascript">
		updateGUI();
	</script>

</body>
</html>
